IG-88

Driver extension jun 1.03b/1.04b for DSM6.2.2 for 3615xs / 3617xs / 918+

Recommended Posts

When is the new 0.7 version coming out and will it help me using the new dsm versions on my j5005-itx mainboard by asrock and still be able to use transcoding?

Share this post


Link to post
Share on other sites
1 hour ago, IG-88 said:

 

can you boot up i live linux and give me lspici output for this killer nic

with this i can check the vendor id an device id against the driver

if needed and i find source i can try to compile a new driver

 

 

 

I do not have any version of Windows installed on that motherboard now. I could but I do not know what is Live Linux.

Can I use like PClinuxOS? And do like LIve run?

Share this post


Link to post
Share on other sites
Posted (edited)
7 minutes ago, Popeye-DR said:

I could but I do not know what is Live Linux.

a linux that starts from external boot media like cd/dvd or usb without intalling anything

also a rescue linux would be like this (made to recover systems like for data recovery of defective disks, you dont want to write anything to disk in this situation)

 

SystemRescueCD

CloneZilla Live

Knoppix

Kali Linux

 

ps: sometimes it helps just to google a term you dont know (that's what i usually do)

Edited by IG-88

Share this post


Link to post
Share on other sites
1 hour ago, Joly00 said:

When is the new 0.7 version coming out and will it help me using the new dsm versions on my j5005-itx mainboard by asrock and still be able to use transcoding?

 

thats mainly the reason i have not released it yet

i needed to document about hardware types and what gpu types they have

also to cover form cases where systems do not boot with jun's newer i915 driver and even to cover systems that get broken when the i915 driver blocks the system from booting up

there where more cases with problems with testers then i expected even with 2 versions (one without the new i915 drivers)

 

Share this post


Link to post
Share on other sites
9 hours ago, garciahelp said:

After Post #102 regarding RTL 8111GR...

    "thats supported by the "normal" realtek r8168 driver
    i used r8168-8.047.04, pretty much the latest driver and your nic should work"

 

you did not read the context, in the post #101 its about 3615, not 918+

the new pack 918+ is still work in progress

 

9 hours ago, garciahelp said:

tried to do the update to 6.2.2-24922 via the method 1 (semi brick my system).

 

again, you ignored the context, method 1 and 2 is in the 3615/17 section not in 918+ section

 

"...

This section is about drivers for ds3615xs and ds3617xs image/dsm version 6.2.2 (v24922)

..."

9 hours ago, garciahelp said:

i tried to do the update to 6.2.2-24922 via the method 1 (semi brick my system).

Then i updated the USB-Stick with the extra file and rebooted the system.

 

what version? the new one for 3615 or 3617 or the older "experimental" one for 918+

might be the gpu blocking the system but also cant be sure about the nic driver without a log

 

9 hours ago, garciahelp said:

What can i do ? Any tip's...

 

i had one tester last weekend with a i915 driver blocking the boot of the system after the loader copied the new driver to the disk and on every boot attempt they started  and blocked the system, even login with serial console was impossible

the tester was skilled enough to use a rescue linux to used the system partition raid1 set and deleted the files but that got me thinking

i have a test version that will overwrite the i915 driver with a 0 byte file the same name (the update mechanism in the loader only overwrites files but that are newer  but never deletes one from disk that is not present in the loader), the driver will not be loaded anymore, cant crash so the "blocking" driver is eliminated (sort of) and the user is at least in a position to fix things manually (like removing files), it also contains the new realtek driver for 918+ 6.2.2 so both possible cases should be covert - bot no guarantee

I will send you a link the the test loader that kills the i915 and will also replace the realtek driver

Share this post


Link to post
Share on other sites
Posted (edited)

336759641_2020-01-0623_28_51.thumb.jpg.7a2d0e7270c80f94785affbcfa3dd830.jpg

7 hours ago, IG-88 said:

with this i can check the vendor id an device id against the driver

if needed and i find source i can try to compile a new driver

 

I ran Kali Linux and I was unable to find any info on my 2 NIC, but I was able to see the LED on both card working.

I try PCLinusOS, I was able to see the LED on both card working, and here is the info that I found:

 

Qualcomm Atheros Killer E2400  (The built in on the board)

Mellanox Technologies MT26448 (ConnectX EN 10GigE) (the addon that I also want to use)

 

2020-01-06 23.28.51.jpg

 

 

Qualcomm Atheros Killer E2400  (The built in on the board)

1718428115_2020-01-0623_42_02.thumb.jpg.41d5e8720ca1d884d7c3aebc9e26524c.jpg

 

 

 

 

Mellanox Technologies MT26448 (ConnectX EN 10GigE) (the addon that I also want to use)

938259636_2020-01-0623_42_18.thumb.jpg.7cf617431c9af14dcd8191a1c682e0ff.jpg

Edited by Popeye-DR

Share this post


Link to post
Share on other sites
6 hours ago, IG-88 said:

 

thats mainly the reason i have not released it yet

i needed to document about hardware types and what gpu types they have

also to cover form cases where systems do not boot with jun's newer i915 driver and even to cover systems that get broken when the i915 driver blocks the system from booting up

there where more cases with problems with testers then i expected even with 2 versions (one without the new i915 drivers)

 

If you need a Tester, i can help, i have a few spare hard drives to install a test system on them. Maybe that could help with developing for my board and other boards.

Share this post


Link to post
Share on other sites
On 1/5/2020 at 11:21 AM, hli said:

 

Hardware: HP Thin client hp610

DSM Version: DS3615xs 6.2.2-24922 Update 4
Bootloader: 1.03b MBR
Install Method: fresh install
Results: Success
Notes: after reboot I had to install the latest update 4 manually;

Shutdown and reboot working

Emulex NIC be2net 10gb Working

 

Share this post


Link to post
Share on other sites

Hi,

 

Seems like I can't get the tg3 driver to work, not sure what is wrong

 

My current working setup is jun's 1.04b 918+ loader, lspci says 2x 14e4:165f, and lsmod says libphy -> tg3

So it has 2x Broadcom NetExtreme BCM5720 NIC, and they are working on this 918+ configuration

 

I made a new USB with jun's 1.03b loader, tried both 3615xs/3617xs, changed the grub.cfg with vid/pid, sn, mac, netif's

Copied over the correct zImage, rd.gz and extra.lzma for each try

It boots but never comes up on the network

 

Any help on how to proceed is appreciated

 

Thanks -- Eeso

 

Share this post


Link to post
Share on other sites
2 hours ago, Eeso said:

I made a new USB with jun's 1.03b loader, tried both 3615xs/3617xs, changed the grub.cfg with vid/pid, sn, mac, netif's

Copied over the correct zImage, rd.gz and extra.lzma for each try

It boots but never comes up on the network

 

whats the hardware?

i cant get 3615/17 up on my own new hardware, i use for  testing, stops right at he point where it unpacks the kernel, even no output on serial console

Gigabyte B360M HD3 with G5400 - runs fine with 918+

 

2 hours ago, Eeso said:

, lspci says 2x 14e4:165f, and lsmod says libphy -> tg3

 

as expected the device is present in the source and the driver work for people using hp microserver so it seems unlikely that it is the driver

 

tg3.h

...

/* First 256 bytes are a mirror of PCI config space. */
#define TG3PCI_VENDOR                   0x00000000
#define  TG3PCI_VENDOR_BROADCOM          0x14e4
#define TG3PCI_DEVICE                   0x00000002
#define  TG3PCI_DEVICE_TIGON3_1          0x1644 /* BCM5700 */

...
#define  TG3PCI_DEVICE_TIGON3_5720       0x165f

...

Share this post


Link to post
Share on other sites
On 1/6/2020 at 6:50 PM, garciahelp said:

Hardware: Baremetal PC ASRock N3150-ITX with Realtek RTL8111GR
Starting Point on DSM Version: DS918+ 6.2 23739 Update 2

 

your N3150 cpu seemed to work for hardware transcoding in 916+

 

https://xpenology.com/forum/topic/7845-convertmigrate-ds3615xs-to-ds916-or-ds3617xs/?do=findComment&comment=76437

 

916+ came with 3.10.x kernel and had to using a backported i915 driver for sure

the driver in 916+ refferences up to skylake

your N3150 would be one gen below skylake like broadwell/cherryview

the original synology i915 should support it but it would need additional firmware as 918+ only comes with broxton firmware (bxt_dmc_ver1_07.bin) for apollolake

the driver refferences

bxt_dmc_ver1_07.bin
bxt_guc_ver8_7.bin
kbl_dmc_ver1_01.bin
kbl_guc_ver9_14.bin
skl_dmc_ver1_26.bin
skl_guc_ver6_1.bin

and i think the skl_dmc_ver1_26.bin would be the one supporting broadwell/cherryview (not sure)

maybe thats the reason real3x's mod works so good, it removes new i915 and and drm but keeps the firmware in so when the i19 from synology kicks in instead it has firmware availible that is not persent in the original state and it loads on more systems that way - my attempt to remove every added graphics driver and firmware did not work as good as expected (i guess removing the additional firmware was the problem) - i think i'm going to try this as a new test version

 

maybe we should do a public beta testing for 918+ with different Jxxxx and Nxxxx cpu's to find out what driver set would be good for what cpu/gpu

- full new drivers from and firmware

- without new river but keep firmware

- no new driver and no new firmware

only suitable for people that can do a fresh install to a empty disk and know how to check if /dev/dri is present (no need to mess around with SN/mac as this device is needed for hardware transcoding and is only present when the drivers are loaded the right way)

 

Share this post


Link to post
Share on other sites
2 hours ago, IG-88 said:

 

whats the hardware?

i cant get 3615/17 up on my own new hardware, i use for  testing, stops right at he point where it unpacks the kernel, even no output on serial console

Gigabyte B360M HD3 with G5400 - runs fine with 918+

 

 

as expected the device is present in the source and the driver work for people using hp microserver so it seems unlikely that it is the driver

 

tg3.h

...

/* First 256 bytes are a mirror of PCI config space. */
#define TG3PCI_VENDOR                   0x00000000
#define  TG3PCI_VENDOR_BROADCOM          0x14e4
#define TG3PCI_DEVICE                   0x00000002
#define  TG3PCI_DEVICE_TIGON3_1          0x1644 /* BCM5700 */

...
#define  TG3PCI_DEVICE_TIGON3_5720       0x165f

...

Its a HP ProLiant DL20 Gen9, with a Xeon E3-1220 v5 I think, should be close to what this says otherwise https://certification.ubuntu.com/hardware/201605-22006

 

Ye weird it works on the microserver and not on my or yours, it prints the message that the display will no longer be update, does it mean it has unpack the kernel?

 

Can I just inject the tg3.ko file somehow? I think thats the only thing I need for now

 

Thanks

Share this post


Link to post
Share on other sites
15 hours ago, Popeye-DR said:

I ran Kali Linux and I was unable to find any info on my 2 NIC, but I was able to see the LED on both card working.

I try PCLinusOS, I was able to see the LED on both card working, and here is the info that I found:

yes that was exactly what i wanted to know/see

 

15 hours ago, Popeye-DR said:

Qualcomm Atheros Killer E2400  (The built in on the board)

 

1969:e0a1, checked against driver alx.ko, not present in 3615/17 from kernel 3.10.105, it would need a new driver to make a new extra.lzma

already supported in 0.7+ for 918+ as its part of the kernel 4.4.59 driver

 

i cant find a driver for compiling, the source the website points to ist from 2013 and only for the generic qualcom's

https://support.killernetworking.com/knowledge-base/linux-support/

"We neither develop nor support the Linux drivers for our devices, and this is common, as free and open source is the Linux way."

i found this to mod kernel source, did this for 3615/17 we will see in the next package if someone tries this driver

https://askubuntu.com/questions/670347/is-there-any-way-to-install-atheros-e2400-drivers

 

15 hours ago, Popeye-DR said:

Mellanox Technologies MT26448 (ConnectX EN 10GigE) (the addon that I also want to use)

15b3:6750, that one is no problem, covers with the kernel driver in 3.10.105 and 4.4.59 kernel of all three

should work already with the 6.2.2 for 3615/17 and should also work with the new 0.7+ version for 918+

 

so in theory the test version 0.7 for 918+ would do the trick for your board's nic and the mellanox

 

Share this post


Link to post
Share on other sites
1 hour ago, Eeso said:

Its a HP ProLiant DL20 Gen9, with a Xeon E3-1220 v5 I think, should be close to what this says otherwise https://certification.ubuntu.com/hardware/201605-22006

cpu is skylake type so 918+ cpable, you might try with the next release of the 918+ package (0.7 or newer)

 

1 hour ago, Eeso said:

Ye weird it works on the microserver and not on my or yours, it prints the message that the display will no longer be update, does it mean it has unpack the kernel?

 

maybe it stops exactly there and the system never starts the kernel (as in me test system), you could only be certain if you have a serial connection and look at hen consol connected to it - does it have iLO with virtual serial port? you could use this to peek into the serial console output

 

1 hour ago, Eeso said:

Can I just inject the tg3.ko file somehow? I think thats the only thing I need for now

 

the driver is in the pack (you can open the extra.lzma with 7zip to gave a look) and there is no newer driver, 3.137k is the last version i've seen

as already stated the fact that you dont find it in network does say the tg3 driver failed, can be the whole boot process or even another driver crashing and stop it from booting further

you can try to put in another nic and try to find it then in network if it does not work it proofs my point if it does you can access the system and provide a log

 

Share this post


Link to post
Share on other sites

I have Q6600 with motherboard MSI G41M-P33 COMBO with nic Realtek. It´s compatible with DS3615xs 1.03b? I can find net with extra.lzma v05 test.

Share this post


Link to post
Share on other sites
2 hours ago, IG-88 said:

15b3:6750, that one is no problem, covers with the kernel driver in 3.10.105 and 4.4.59 kernel of all three

should work already with the 6.2.2 for 3615/17 and should also work with the new 0.7+ version for 918+

I was unable to see the 6.2.2 on the https://xpenology.club/downloads/ site. It only goes up to 6.2.

 

2 hours ago, IG-88 said:

so in theory the test version 0.7 for 918+ would do the trick for your board's nic and the mellanox

If I use the 918+ rather than the 3617, will I lose any tools, or literally the same?

Share this post


Link to post
Share on other sites
Posted (edited)
8 hours ago, IG-88 said:

cpu is skylake type so 918+ cpable, you might try with the next release of the 918+ package (0.7 or newer)

 

 

maybe it stops exactly there and the system never starts the kernel (as in me test system), you could only be certain if you have a serial connection and look at hen consol connected to it - does it have iLO with virtual serial port? you could use this to peek into the serial console output

 

 

the driver is in the pack (you can open the extra.lzma with 7zip to gave a look) and there is no newer driver, 3.137k is the last version i've seen

as already stated the fact that you dont find it in network does say the tg3 driver failed, can be the whole boot process or even another driver crashing and stop it from booting further

you can try to put in another nic and try to find it then in network if it does not work it proofs my point if it does you can access the system and provide a log

 

The problem with 918+ is that I don't think it uses all my cores, it's really slow multitasking and would only list one of the cores in /proc, would 0.7 change anything?

 

Ye it has iLO, so via the VSP it seems it doesn't load the kernel actually, all fine on 918+

 

And I thought I was only lacking the right driver :( Does it boot 3615/3517 if you only jun's original 1.03b loader? 

 

Gonna try and see what happens

Edited by Eeso

Share this post


Link to post
Share on other sites

Okey so I don't get jun's loader to load, I suppose its the same for you? did you check with him? I'll go and try to get some clarity over at his thread instead

Share this post


Link to post
Share on other sites
12 hours ago, Eeso said:

Xeon E3-1220 v5

 

that cpu has 4 corres and no HT

 

3 hours ago, Eeso said:

The problem with 918+ is that I don't think it uses all my cores,

 

918+  can handle 8 cores (kernel config: CONFIG_NR_CPUS=8), i guess for 4cores+HT

on 3617 its 16 and on 3615 its 8

so kernel of 918+ would not be the problem here

 

3 hours ago, Eeso said:

would only list one of the cores in /proc

 

where in /proc are you looking? cpuinfo and there cpu cores?

boot a live/rescue linux and check with this again, if its still one then look in bios, maybe some compatibility setting for old stuff

 

3 hours ago, Eeso said:

would 0.7 change anything?

 

no

 

3 hours ago, Eeso said:

And I thought I was only lacking the right driver

 

if you have a serial connection (iLO VSP) then at least you can check that assumption, and as in my own case see that the problem is something else, dont stop just on the 1st possibility, especially as it can be proofed by reading here that the tg3 driver is working in general

 

3 hours ago, Eeso said:

Does it boot 3615/3517 if you only jun's original 1.03b loader? 

 

you did not even try this yourself?  its kind of the 1st thing to do and takes just 5 minutes

it no did not help, i did not try loader 1.02b (dsm 6.1) as i needed to test 6.2.2 drivers, maybe thats a option for you?

 

according to this

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

its BIOS only, on my system its UEFI with CSM mode and it did not work

maybe a older bios can help if hp allows downgrades

 

Share this post


Link to post
Share on other sites
2 minutes ago, IG-88 said:

 

that cpu has 4 corres and no HT

Ye I know, but only 1.04b / 918+ doesn't recognize the other 3 cores, I will recheck

 

2 minutes ago, IG-88 said:

918+  can handle 8 cores (kernel config: CONFIG_NR_CPUS=8), i guess for 4cores+HT

on 3617 its 16 and on 3615 its 8

so kernel of 918+ would not be the problem here

Still it seems to be some kind of problem, I remember the 6.1 loader for 3615/3617 do this, it also worked good with the other dists I've tried on this server, but I will recheck this as well

 

2 minutes ago, IG-88 said:

where in /proc are you looking? cpuinfo and there cpu cores?

boot a live/rescue linux and check with this again, if its still one then look in bios, maybe some compatibility setting for old stuff

cpuinfo exactly

Yes gonna do that and document it better this time and I'll report back on my findings

 

2 minutes ago, IG-88 said:

if you have a serial connection (iLO VSP) then at least you can check that assumption, and as in my own case see that the problem is something else, dont stop just on the 1st possibility, especially as it can be proofed by reading here that the tg3 driver is working in general

Ye I thought it was only that, turns out it wasn't, thanks for heading me in the right direction

 

2 minutes ago, IG-88 said:

you did not even try this yourself?  its kind of the 1st thing to do and takes just 5 minutes

it no did not help, i did not try loader 1.02b (dsm 6.1) as i needed to test 6.2.2 drivers, maybe thats a option for you?

Ye I tried and all looks good (I thought), except that the 1.03b explicitly says it only supports the intel e1000 nic, which I don't have

My logical reasoning was that it was only missing the wrong driver.. Since all other things I've tried have worked. I never checked the VSP before this. My bad

Unfortunately I need 6.2, running 6.1 works fine for all simulated models, but one virtualization option is missing in VMM prior to 6.2, or rather you need a pro license enable it, which is free in 6.2. Seems to be bad to try to buy such a license for this

 

2 minutes ago, IG-88 said:

according to this

https://xpenology.com/forum/topic/13333-tutorialreference-6x-loaders-and-platforms/

its BIOS only, on my system its UEFI with CSM mode and it did not work

maybe a older bios can help if hp allows downgrades

I gonna check if there is something that can be done with that

Share this post


Link to post
Share on other sites
Posted (edited)

Okey so I found some interesting things with 1.04b which made me wounder.

 

This comes up in the dmesg

[    0.208866] ACPI: NR_CPUS/possible_cpus limit of 1 reached.  Processor 1/0x0 ignored.
[    0.208867] ACPI: Unable to map lapic to logical cpu number
[    0.208887] ACPI: NR_CPUS/possible_cpus limit of 1 reached.  Processor 2/0x2 ignored.
[    0.208888] ACPI: Unable to map lapic to logical cpu number
[    0.208909] ACPI: NR_CPUS/possible_cpus limit of 1 reached.  Processor 3/0x4 ignored.
[    0.208910] ACPI: Unable to map lapic to logical cpu number
[    0.208926] ACPI: NR_CPUS/possible_cpus limit of 1 reached.  Processor 4/0x6 ignored.
[    0.208927] ACPI: Unable to map lapic to logical cpu number

 

These seems to be a common thing for linux when it doesn't find all the cores, the solution vary for some, seems to be either to switch bios mode from UEFI to legacy or to enable x2apic in the kernel

 

I tried to switch bios to legacy, I changed it to UEFI for another distro a while back.

This didn't do the trick however, do you know if the kernel has the x2apic config enabled (CONFIG_X86_X2APIC to be exact)?

Edited by Eeso

Share this post


Link to post
Share on other sites
1 hour ago, Eeso said:

I tried to switch bios to legacy, I changed it to UEFI for another distro a while back.

i got my board working now, turns out even with CSM enabled it default boots uefi partition

after explicitly selecting the non uefi usb in boot priority as 1st  the 3617 1.03b loader got up on my new coffeelake hardware too

so beside CSM have a close look to the boot devices

 

1 hour ago, Eeso said:

This didn't do the trick however, do you know if the kernel has the x2apic config enabled (CONFIG_X86_X2APIC to be exact)?

3615

# CONFIG_X86_X2APIC is not set

 

31617

CONFIG_X86_X2APIC=y

 

918+

not present at all in .config, but its kernel 4.4.59, 3615/17 is 3.10.105

 

still, check bios if there are any features that disable processor capabilitys

 

Share this post


Link to post
Share on other sites
13 hours ago, Popeye-DR said:

I was unable to see the 6.2.2 on the https://xpenology.club/downloads/ site. It only goes up to 6.2.

the "source" of the extra.lzma is here not that website

the 6.2.2 comes in it as of the kernel that has to be used when using the new 6.2.2 specific drivers - read the 1st post, section about 3615/17 explains it

there is no 6.2.2 loader, more like a 6.2 loader modded (i used the term "1.03b_mod" to indicate you have to mod the original loader and the "mod" is to copy new zImage and rd.gz to it)

 

13 hours ago, Popeye-DR said:

If I use the 918+ rather than the 3617, will I lose any tools, or literally the same?

 

depends on how you define tools

3617 has no m.2 support but raid f1 (special for bigger ssd only raid sets) and up to 16 cpu cores where 918+ only can have 8 cores

also 3615/17 have no hardware transcoding support

 

if you can wait a day or two i can upload new extra.lzma with new alx diver, i already build it, just needs packing and uploading (with the patch mentioned in the link), might work for, you can tell us tomorrow i hope

the new 918+ (release) will take more time as the problems occurring with different gpu types will need to be tested/solved (kind of how many alternate version we need to support most gpus plus a version to "un semi brick" when i915 driver blocks boot completely after installing)

 

Share this post


Link to post
Share on other sites
Posted (edited)
17 hours ago, apriliars3 said:

have Q6600 with motherboard MSI G41M-P33 COMBO with nic Realtek. It´s compatible with DS3615xs 1.03b? I can find net with extra.lzma v05 test.

manual says

"supports Lan 10/100 Fast ethernet by Realtek 8105e"

thats not the "nornal" 10/100/1000 realtek that some ancient thing and with just 100Mbit (= 10MByte/s) you will not have anything usefull even it it works

there are a few 100Mbit nic drivers in the package but im not going to invest any time to add more as its pointless when using a nas now days

put in a 1Gbit nic

 

edit: i check in the old thread with the driver list and the driver would be r8101 for this is in the 3615/17 with the latest version, maybe something else is the problem

 

Edited by IG-88

Share this post


Link to post
Share on other sites
Posted (edited)

 

1 hour ago, IG-88 said:

i got my board working now, turns out even with CSM enabled it default boots uefi partition

after explicitly selecting the non uefi usb in boot priority as 1st  the 3617 1.03b loader got up on my new coffeelake hardware too

so beside CSM have a close look to the boot devices

 

3615

# CONFIG_X86_X2APIC is not set

 

31617

CONFIG_X86_X2APIC=y

 

918+

not present at all in .config, but its kernel 4.4.59, 3615/17 is 3.10.105

Where do I find the source and toolchain of the kernels? CONFIG_X86_X2APIC seems to be valid for 4.4 as well

 

Would you mind help me and try to compile 918+ with that flag set? :)

 

1 hour ago, IG-88 said:

still, check bios if there are any features that disable processor capabilitys

I was in the BIOS but I couldn't find anything regarding any such thing

Edited by Eeso

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.